org.jbpm.services.task.audit.commands

## Class TaskEventQueryCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<R>>
  - - org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskEvent,TaskEventImpl>
    - - org.jbpm.services.task.audit.commands.TaskEventQueryCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.internal.task.api.TaskEvent>>, org.kie.api.command.Command<List<org.kie.internal.task.api.TaskEvent>>

      public class TaskEventQueryCommand
      extends AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskEvent,TaskEventImpl>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskEventQueryCommand()`
    `TaskEventQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<TaskEventImpl>` | `getQueryType()`
    `org.jbpm.query.jpa.data.QueryWhere` | `getQueryWhere()`
    `protected Class<org.kie.internal.task.api.TaskEvent>` | `getResultType()`
    `void` | `setQueryWhere(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

    - ### Methods inherited from class org.jbpm.services.task.audit.commands.AbstractTaskAuditQueryCommand

      `execute`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### TaskEventQueryCommand

          public TaskEventQueryCommand()

    - #### TaskEventQueryCommand

          public TaskEventQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### getQueryWhere

          public org.jbpm.query.jpa.data.QueryWhere getQueryWhere()

      Specified by:
        `getQueryWhere` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskEvent,TaskEventImpl>`

    - #### setQueryWhere

          public void setQueryWhere(org.jbpm.query.jpa.data.QueryWhere queryWhere)

    - #### getResultType

          protected Class<org.kie.internal.task.api.TaskEvent> getResultType()

      Specified by:
        `getResultType` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskEvent,TaskEventImpl>`

    - #### getQueryType

          protected Class<TaskEventImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractTaskAuditQueryCommand<org.kie.internal.task.api.TaskEvent,TaskEventImpl>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.